docs

# Contact

data class Contact ( val phoneNumber: String , val firstName: String , val lastName: String ? = null, val userId: UserId ? = null, val vcard: String ? = null) : CommonContactData
Content copied to clipboard

## Constructors

Contact
Link copied to clipboard
fun Contact ( phoneNumber: String , firstName: String , lastName: String ? = null, userId: UserId ? = null, vcard: String ? = null)
Content copied to clipboard

## Properties

firstName
Link copied to clipboard
open override val firstName : String
Content copied to clipboard
lastName
Link copied to clipboard
open override val lastName : String ? = null
Content copied to clipboard
phoneNumber
Link copied to clipboard
open override val phoneNumber : String
Content copied to clipboard
userId
Link copied to clipboard
val userId : UserId ? = null
Content copied to clipboard
vcard
Link copied to clipboard
open override val vcard : String ? = null
Content copied to clipboard

## Extensions

toRequest
Link copied to clipboard
fun Contact . toRequest ( chatId: ChatIdentifier , disableNotification: Boolean = false, protectContent: Boolean = false, replyToMessageId: MessageIdentifier ? = null, allowSendingWithoutReply: Boolean ? = null, replyMarkup: KeyboardMarkup ? = null): SendContact
Content copied to clipboard